﻿package 
{
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.filters.BitmapFilterQuality;
    import flash.filters.BlurFilter;
	

	public class Graph extends Sprite
	{
		private var limit:Number = 500;
		private var counter:Number = 0;
		public function Graph()
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			drawStage();
			stage.addEventListener(MouseEvent.MOUSE_DOWN, double_handler);
		}
		private function double_handler(e:MouseEvent):void
		{
			//trace("double clicked");
			if(counter>limit){
				eraseAll();
			}
			var boule:Point = new Point();
			addChild(boule);
			counter++;
		}
		
		private function eraseAll():void
		{
			while(numChildren>0){
				this.removeChildAt(0);
			}
			counter = 1;
		}
		
		private function drawStage():void
		{	
			graphics.lineStyle(0xffffff);
			graphics.moveTo(stage.stageWidth/2,0);
			graphics.lineTo(stage.stageWidth/2,stage.stageHeight);
			graphics.moveTo(0,stage.stageHeight/2);
			graphics.lineTo(stage.stageWidth,stage.stageHeight/2);
		}
		
	}
}
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	
class Point extends Sprite
{
	private var angle:Number = 0;
	private var r1:Number;
	private var r2:Number; 
	private var orientation:Number;
	public function Point():void
	{
		r1 = Math.random()*300;
		r2 = Math.random()*300;
		orientation = Math.round(2-Math.random()*4);
		if(orientation ==0){orientation++;}
		graphics.beginFill(0x6099FF,1);
		graphics.drawRoundRect(10,5,15,4,6); 
var redDotCutout:Sprite = new Sprite();
redDotCutout.graphics.lineStyle();
redDotCutout.graphics.beginFill(0x6099FF,1);
redDotCutout.graphics.drawRoundRect(10,5,15,4,6);
redDotCutout.graphics.endFill();
		graphics.endFill();
		addEventListener(Event.ENTER_FRAME, onEnterFrame);
		addEventListener(Event.REMOVED, removedHandler);
		
	}
	private function removedHandler(e:Event):void
	{
		e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
	}
	private function onEnterFrame(e:Event):void
	{
		x = stage.stageWidth/2 + Math.cos(angle*Math.PI/180)*r1;
		y = stage.stageHeight/2 - Math.sin(angle*Math.PI/180)*r2*orientation;
		angle++;
	}
}